Bug 13457 - Setting DELETE_ON_CLOSE on a print file handle should cancel (lprm) the job.
Setting DELETE_ON_CLOSE on a print file handle should cancel (lprm) the job.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-30 20:46 UTC by Jeremy Allison
Modified: 2018-06-25 07:40 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.8.next. (7.11 KB, patch)
2018-06-15 17:53 UTC, Jeremy Allison
asn: review+
Details
git-am fix for 4.7.next. (1.57 KB, patch)
2018-06-15 17:56 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-05-30 20:46:41 UTC
This worked in Samba 3.0.x, but the functionality has been lost since 3.5.x and above.
Comment 1 Jeremy Allison 2018-06-15 17:53:36 UTC
Created attachment 14236 [details]
git-am fix for 4.8.next.
Comment 2 Jeremy Allison 2018-06-15 17:56:26 UTC
Created attachment 14237 [details]
git-am fix for 4.7.next.

Doesn't include test in 4.7.x cherry-pick, test infrastructure used for spoolss tests isn't in 4.7.x. Fix is simple enough for 4.7.next I'm confident in its correctness.
Comment 3 Andreas Schneider 2018-06-19 08:39:54 UTC
Karolin, could you please add the patches to the relevant branches? Thanks.
Comment 4 Karolin Seeger 2018-06-19 10:52:59 UTC
(In reply to Andreas Schneider from comment #3)
Sure. Pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-06-25 07:40:31 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!